Bug 668 - getsmbpass sends \n to stdout, not to tty
getsmbpass sends \n to stdout, not to tty
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.0
Other other
: P3 normal
: none
Assigned To: Jim McDonough
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 08:24 UTC by Volker Lendecke
Modified: 2005-08-24 10:24 UTC (History)
0 users

See Also:


Attachments
Patch for getsmbpass to send \n to tty (647 bytes, patch)
2003-10-22 08:25 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2003-10-22 08:24:41 UTC
In our replaced implementation of getsmbpass a \n ends up in stdout where it
should not. Patch to come.
Comment 1 Volker Lendecke 2003-10-22 08:25:22 UTC
Created attachment 214 [details]
Patch for getsmbpass to send \n to tty
Comment 2 Jim McDonough 2003-10-23 06:50:19 UTC
Applied attachment and tested.  Fixes it for me.  Thanks, Volker.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:24:25 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.